Table of Contents

## Name

im_initdesc - initialises an image descriptor to specific values

## Synopsis

#include <vips/vips.h>

void im_initdesc( IMAGE *image, int xsize, int ysize,
int bands, int bandbits, int bandfmt,
int coding, int type,
float xres, float yres,
float xo, float yo )

## Description

im_initdesc(3) initialises the image descriptor according to the entered values. More specifically the Xsize, Ysize, Bands, Bbits, BandFmt, Coding, Type, Xres, Yres, Xoffset and Yoffset members of the descriptor are initialised by the correspondingly entered arguments. The members fd, baseaddr, data and filename are not handled by this function. The order of the args is the same as in vips/vips.h.

Example: make a 512 by 512 one-band memory buffer.

if( !(im = im_open( "temp", "t" )) )
/* Error ...
im_initdesc( im,
512, 512,
1, BBBYTE, FMTUCHAR,
NOCODING, B_W,
1.0, 1.0,
0, 0 );
if( im_setupout( im ) )
/* Error ...

## Also

im_open(3) , im_setupout(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 22/04/1991

Table of Contents

- Name
- Synopsis
- Description
- Also
- Copyright
- Author